spot 2.2.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Types | Public Member Functions | Public Attributes | List of all members
spot::acss_statistics Class Referenceabstract
TωA (Transition-based ω-Automata) » TωA algorithms » Emptiness-checks » Emptiness-check statistics

Accepting Cycle Search Space statistics. More...

`#include <spot/twaalgos/emptiness_stats.hh>`

Inheritance diagram for spot::acss_statistics:
Collaboration diagram for spot::acss_statistics:

## Public Types
typedef unsigned(unsigned_statistics::* | unsigned_fun )() const
typedef std::map< const char *, unsigned_fun, char_ptr_less_than > | stats_map

## Public Member Functions
virtual unsigned | acss_states () const =0
| Number of states in the search space for the accepting cycle. More...
void | inc_ars_prefix_states ()
unsigned | ars_prefix_states () const
void | inc_ars_cycle_states ()
unsigned | ars_cycle_states () const
unsigned | get (const char *str) const

## Public Attributes
stats_map | stats

## Detailed Description

Accepting Cycle Search Space statistics.

Implementations of spot::emptiness_check_result may also implement this interface. Try to dynamic_cast the spot::emptiness_check_result pointer to know whether these statistics are available.

## Member Function Documentation

virtual unsigned spot::acss_statistics::acss_states | ( |  | ) | const
| pure virtual

Number of states in the search space for the accepting cycle.

Implemented in spot::couvreur99_check_result.

The documentation for this class was generated from the following file:

- spot/twaalgos/emptiness_stats.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.